<html>
<head>
<title>OGRE: OgreRenderSystem.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderSystem.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderTexture_8h-source.html">OgreRenderTexture.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreConfigOptionMap_8h-source.html">OgreConfigOptionMap.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgrePlane_8h-source.html">OgrePlane.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>&quot;</code><br>

<p>
<a href="OgreRenderSystem_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Defines the functionality of a 3D API.  <a href="classOgre_1_1RenderSystem.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html">Ogre::RenderSystem::Listener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Defines a listener on the custom events that this render system can raise.  <a href="classOgre_1_1RenderSystem_1_1Listener.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String,<br>
 RenderTarget * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#2551e2d3573c437f3beccf7d3ac7a45e">Ogre::RenderTargetMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
std::multimap&lt; uchar,<br>
 RenderTarget * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#eacbf68563f1c1e5660c4399d398608c">Ogre::RenderTargetPriorityMap</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31">Ogre::TexCoordCalcMethod</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb3173546a8946a02a34d7958763e0c1034e">Ogre::TEXCALC_NONE</a>, 
<a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31414edb1748a8b2bfd8c4699164c46352">Ogre::TEXCALC_ENVIRONMENT_MAP</a>, 
<a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31516f97319ea6e8a02daef9f13c32303c">Ogre::TEXCALC_ENVIRONMENT_MAP_PLANAR</a>, 
<a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31d4c1a576294c5fc8a0519783fc9e2eab">Ogre::TEXCALC_ENVIRONMENT_MAP_REFLECTION</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31a296599db57208482d35f5d264d61578">Ogre::TEXCALC_ENVIRONMENT_MAP_NORMAL</a>, 
<a class="el" href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31bcbba9b2c16dc5c57c479dfc486095db">Ogre::TEXCALC_PROJECTIVE_TEXTURE</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum describing the ways to generate texture coordinates.  <a href="namespaceOgre.html#a9c06899edc6b7aed7bf3b29abe9bb31">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">Ogre::StencilOperation</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61bf640cb28b5020509dc27178f0359511">Ogre::SOP_KEEP</a>, 
<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61910e7fedb6c873aaad581cfda6491b8a">Ogre::SOP_ZERO</a>, 
<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61cbce9e054c373718a59dd56e51aa762a">Ogre::SOP_REPLACE</a>, 
<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61e56b6038f9552a79b2b1d2ae036da86c">Ogre::SOP_INCREMENT</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb617faeb919637b85bed8650d8f1baf2ada">Ogre::SOP_DECREMENT</a>, 
<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb616e595fbb31308c6b01f35221903f4706">Ogre::SOP_INCREMENT_WRAP</a>, 
<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61b816aeb027a4e517237d053e5fedc2a7">Ogre::SOP_DECREMENT_WRAP</a>, 
<a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb614f9045fb414071aa89184ce5e88ec474">Ogre::SOP_INVERT</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum describing the various actions which can be taken onthe stencil buffer.  <a href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
